> ## Documentation Index
> Fetch the complete documentation index at: https://integration.delogue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List style prices

> Returns a paginated list of style price rows across styles for the caller's organisation. Supports filter by style, color, season, supplier, approval status, and future date range. Cursor is mutually exclusive with filter/pageSize/pageNumber.



## OpenAPI

````yaml /openapi/external.enriched.json get /api/style-prices
openapi: 3.1.1
info:
  title: Delogue External API - (Production)
  description: Integration endpoints for Delogue API
  version: 1.0.0
servers:
  - url: >-
      http://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/
security: []
tags:
  - name: SubSuppliers
  - name: StyleSupplierFacilities
  - name: StyleSkus
  - name: Styles
  - name: SampleRequests
  - name: StyleRelations
  - name: Style Prices
  - name: StyleItems
  - name: StyleFiles
  - name: StyleCustomFields
  - name: StyleContacts
  - name: StyleCategories
  - name: StyleCareInstructions
  - name: SizeRanges
  - name: Seasons
  - name: SampleTypes
  - name: Organizations
  - name: MeasurementCharts
  - name: Items
  - name: ItemCategories
  - name: Groups
  - name: Facilities
  - name: ComplianceCustomFields
  - name: ComplianceCategories
  - name: Color Groups
  - name: Colors
  - name: CareInstructions
  - name: CareInstructionMaterials
  - name: CareInstructionLayers
  - name: CareInstructionIcons
  - name: Brands
  - name: Barcodes
paths:
  /api/style-prices:
    get:
      tags:
        - Style Prices
      summary: List style prices
      description: >-
        Returns a paginated list of style price rows across styles for the
        caller's organisation. Supports filter by style, color, season,
        supplier, approval status, and future date range. Cursor is mutually
        exclusive with filter/pageSize/pageNumber.
      parameters:
        - name: style-id
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: color-id
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: season-id
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: supplier-id
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int64
        - name: price-status
          in: query
          schema:
            $ref: '#/components/schemas/StylePriceStatusFilterDto'
        - name: future-date-from
          in: query
          schema:
            type: string
            format: date-time
        - name: future-date-to
          in: query
          schema:
            type: string
            format: date-time
        - name: pageSize
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: pageNumber
          in: query
          schema:
            pattern: ^-?(?:0|[1-9]\d*)$
            type:
              - integer
              - string
            format: int32
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStylePriceDto'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStylePriceDto'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiPaginatedResponseOfStylePriceDto'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponse'
      security:
        - {}
components:
  schemas:
    StylePriceStatusFilterDto: {}
    ApiPaginatedResponseOfStylePriceDto:
      required:
        - status
        - code
        - data
        - pagination
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/StylePriceDto'
        pagination:
          $ref: '#/components/schemas/PaginationInfo'
      additionalProperties: false
    ApiErrorResponse:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/ApiResponseStatus'
        code:
          type: string
        error:
          $ref: '#/components/schemas/ErrorWrapper'
      additionalProperties: false
    ApiResponseStatus: {}
    StylePriceDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        styleId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        colorId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        colorName:
          type:
            - 'null'
            - string
        colorStatus:
          $ref: '#/components/schemas/StyleColorStatusDto'
        sizeRangeSizeId:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int64
        sizeRangeSizeName:
          type:
            - 'null'
            - string
        sizeRangeSizeStatus:
          $ref: '#/components/schemas/SizeRangeSizeStatusDto'
        variantType:
          $ref: '#/components/schemas/PriceVariantTypeDto'
        brandComments:
          type:
            - 'null'
            - string
        supplierComments:
          type:
            - 'null'
            - string
        futureDate:
          type:
            - 'null'
            - string
          format: date-time
        futurePriceBrandComments:
          type:
            - 'null'
            - string
        futurePriceSupplierComments:
          type:
            - 'null'
            - string
        priceNegotiations:
          type: array
          items:
            $ref: '#/components/schemas/PriceNegotiationDto'
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    PaginationInfo:
      required:
        - hasMore
        - cursor
      type: object
      properties:
        hasMore:
          type: boolean
        cursor:
          type: string
      additionalProperties: false
    ErrorWrapper:
      type: object
      properties:
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDto'
      additionalProperties: false
    StyleColorStatusDto: {}
    SizeRangeSizeStatusDto: {}
    PriceVariantTypeDto: {}
    PriceNegotiationDto:
      type: object
      properties:
        value:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        futurePrice:
          pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
          type:
            - 'null'
            - number
            - string
          format: double
        priceCalculation:
          $ref: '#/components/schemas/PriceCalculationDto'
      additionalProperties: false
    ErrorDetailDto:
      required:
        - type
        - field
        - value
      type: object
      properties:
        type:
          type: string
        field:
          type:
            - 'null'
            - string
        value:
          type:
            - 'null'
            - string
      additionalProperties: false
    PriceCalculationDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        ref:
          type: string
        name:
          type:
            - 'null'
            - string
        type:
          $ref: '#/components/schemas/TypeOfCalculationDto'
        currency:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PriceCalculationCurrencyDto'
        formula:
          type:
            - 'null'
            - string
        position:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int32
        properties:
          type: array
          items:
            type: string
      additionalProperties: false
    TypeOfCalculationDto: {}
    PriceCalculationCurrencyDto:
      type: object
      properties:
        id:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - integer
            - string
          format: int64
        code:
          type:
            - 'null'
            - string
        name:
          type:
            - 'null'
            - string
      additionalProperties: false

````